Bug 1775919 - Review Request: sqlitecpp - A smart and easy to use C++ SQLite3 wrapper
Summary: Review Request: sqlitecpp - A smart and easy to use C++ SQLite3 wrapper
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-23 15:44 UTC by Vitaly Zaitsev
Modified: 2019-12-03 12:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 12:42:54 UTC
Type: ---
ego.cordatus: fedora-review+


Attachments (Terms of Use)

Description Vitaly Zaitsev 2019-11-23 15:44:14 UTC
Spec URL: https://github.com/EasyCoding/sqlitecpp/raw/master/sqlitecpp.spec
SRPM URL: https://xvitaly.fedorapeople.org/for-review/sqlitecpp-2.4.0-1.fc31.src.rpm
Description: A smart and easy to use C++ SQLite3 wrapper
Fedora Account System Username: xvitaly

Comment 1 Artem 2019-11-23 21:36:04 UTC
LGTM, just few minor issues which could been fixed during import:

  1. W: wrong-file-end-of-line-encoding /usr/share/doc/sqlitecpp/README.md


  2. Summary: A smart and easy to use C++ SQLite3 wrapper
     →
     Summary: Smart and easy to use C++ SQLite3 wrapper


  3. Source0: %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
     →
     Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz

  
  4. This up on you, but full URL without macros useful for quick clicking in text editor and open upstream homepage:

     URL: https://github.com/SRombauts/%{richname}
     →
     URL: https://github.com/SRombauts/SQLiteCpp


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[x] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     sqlitecpp-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sqlitecpp-2.4.0-1.fc32.x86_64.rpm
          sqlitecpp-devel-2.4.0-1.fc32.x86_64.rpm
          sqlitecpp-debuginfo-2.4.0-1.fc32.x86_64.rpm
          sqlitecpp-debugsource-2.4.0-1.fc32.x86_64.rpm
          sqlitecpp-2.4.0-1.fc32.src.rpm
sqlitecpp.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/sqlitecpp/README.md
sqlitecpp-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: sqlitecpp-debuginfo-2.4.0-1.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sqlitecpp-devel.x86_64: W: invalid-url URL: https://github.com/SRombauts/SQLiteCpp <urlopen error [Errno -2] Name or service not known>
sqlitecpp-devel.x86_64: W: no-documentation
sqlitecpp-debuginfo.x86_64: W: invalid-url URL: https://github.com/SRombauts/SQLiteCpp <urlopen error [Errno -2] Name or service not known>
sqlitecpp.x86_64: W: invalid-url URL: https://github.com/SRombauts/SQLiteCpp <urlopen error [Errno -2] Name or service not known>
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_text
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_close
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_int
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_reset
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_bind_int
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_total_changes
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_clear_bindings
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_open_v2
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_bytes
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_bind_null
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_exec
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_extended_errcode
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_backup_step
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_free
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_backup_remaining
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_db_config
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_bind_double
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_backup_init
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_int64
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_bind_int64
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_finalize
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_type
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_errcode
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_changes
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_bind_text
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_origin_name
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_step
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_backup_finish
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_count
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_create_function_v2
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_errstr
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_errmsg
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_load_extension
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_name
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_blob
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_bind_parameter_index
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_libversion
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_prepare_v2
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_backup_pagecount
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_libversion_number
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_busy_timeout
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_column_double
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_bind_blob
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_bind_parameter_count
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_open
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_expanded_sql
sqlitecpp.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSQLiteCpp.so.0 sqlite3_last_insert_rowid
sqlitecpp.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/sqlitecpp/README.md
sqlitecpp-debugsource.x86_64: W: invalid-url URL: https://github.com/SRombauts/SQLiteCpp <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 0 errors, 53 warnings.



Source checksums
----------------
https://github.com/SRombauts/SQLiteCpp/archive/2.4.0.tar.gz#/sqlitecpp-2.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 16bf963619786652a60533bcdc71a0412cad1ce132cd09ce43344af6ed7463d9
  CHECKSUM(SHA256) upstream package : 16bf963619786652a60533bcdc71a0412cad1ce132cd09ce43344af6ed7463d9


Requires
--------
sqlitecpp (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

sqlitecpp-devel (rpmlib, GLIBC filtered):
    cmake-filesystem(x86-64)
    libSQLiteCpp.so.0()(64bit)
    sqlitecpp(x86-64)

sqlitecpp-debuginfo (rpmlib, GLIBC filtered):

sqlitecpp-debugsource (rpmlib, GLIBC filtered):



Provides
--------
sqlitecpp:
    libSQLiteCpp.so.0()(64bit)
    sqlitecpp
    sqlitecpp(x86-64)

sqlitecpp-devel:
    cmake(SQLiteCpp)
    sqlitecpp-devel
    sqlitecpp-devel(x86-64)

sqlitecpp-debuginfo:
    debuginfo(build-id)
    sqlitecpp-debuginfo
    sqlitecpp-debuginfo(x86-64)

sqlitecpp-debugsource:
    sqlitecpp-debugsource
    sqlitecpp-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1775919
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: PHP, SugarActivity, fonts, R, Python, Java, Ocaml, Haskell, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Gwyn Ciesla 2019-11-24 22:48:20 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/sqlitecpp


Note You need to log in before you can comment on or make changes to this bug.